Contenu

# Démarrage du logiciel LibreOffice avec des paramètres

Si vous démarrez LibreOffice à partir de la ligne de commande, vous pouvez lui assigner divers paramètres qui vous permettront de jouer sur les performances. L'utilisation de paramètres de ligne de commande doit être réservée aux utilisateurs expérimentés.

Pour une utilisation normale, il n'est pas nécessaire de se servir de paramètres de ligne de commande. Certains de ces paramètres nécessitent une connaissance approfondie de la technologie sur laquelle se base LibreOffice.

## Démarrage de LibreOffice à partir de la ligne de commande

1. Recherchez Exécuter dans le menu de démarrage Windows.

2. Saisissez le texte suivant dans la zone de texte Ouvrir puis cliquez sur OK.

3. "{install}\program\soffice.com" {parameter}

   Remplacez {install} par le chemin vers l'installation de LibreOffice (par exemple C:\Program Files\LibreOffice). Utilisez soffice.exe à la place de soffice.com lorsque vous n'avez pas besoin de console (par exemple, vous n'avez pas besoin de l'interface en ligne de commande pour des opérations sans en-têtes).

1. Sous les plateformes Linux, *BSD et macOS, ouvrez une console.

2. Saisissez la ligne de texte suivante puis appuyez sur Retour :

   {install}/program/soffice {parameter}

   Remplacez {install} par le chemin de votre installation de LibreOffice (par exemple /opt/LibreOffice sous UNIX)

LibreOffice nécessite un accès en écriture à son répertoire de profils utilisateur.

## Paramètres de ligne de commande valides

### Utilisation sans argument spécial

L'utilisation sans aucun argument ouvre le centre de démarrage.

{fichier} | Essaye d'ouvrir les fichiers dans les modules qui leur correspondent.
{fichier} macro://./[Bibliothèque.Module.Nom_Macro] | Ouvre le fichier et applique les macros spécifiées.

### Obtention d'aide et information

Paramètre | Signification
--- | ---
--help / -h / -? | Liste sur la console ou terminal les paramètres de la ligne de commande disponibles.
--helpwriter | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Writer.
--helpcalc | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Calc.
--helpdraw | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Draw.
--helpimpress | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Impress.
--helpbase | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Base.
--helpbasic | Ouvre l'aide intégrée ou en ligne de LibreOffice pour le langage de script Basic.
--helpmath | Ouvre l'aide intégrée ou en ligne de LibreOffice pour Math.
--version | Affiche la version de LibreOffice et quitte.
--nstemporarydirectory | (Bac à sable macOS uniquement) Renvoie le chemin du dossier temporaire de l'utilisateur actuel et quitte. Ignore tout autre argument.

### Arguments généraux

Paramètre | Signification
--- | ---
--quickstart[=no] | Active [Désactive] le service de démarrage rapide. Il n'accepte qu'un seul paramètre no qui désactive le service. Sans paramètre ce service est activé.
--nolockcheck | Désactive la vérification des instances distantes utilisant l'installation.
--infilter=InputFilterName [:InputFilterParam[,param]] | Force un type de filtre d'entrée, si possible. Par exemple : --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Voir la liste des filtres de document pour la conversion de fichiers. La liste des options de filtrage pour les fichiers Lotus, dBase et Diff. La liste des options de filtre pour les fichiers CSV. La liste des options de filtre pour les fichiers PDF.
--pidfile={file} | Enregistre le pid de soffice.bin dans {fichier}.
--display {display} | Définit la variable d'environnement DISPLAY sur les plateformes de type UNIX à la valeur {display}. Ce paramètre est seulement pris en charge par le script de démarrage du logiciel LibreOffice sur les plateformes de type UNIX.

### Contrôle de l'interface utilisateur/programmatique

Paramètre | Signification
--- | ---
--nologo | Désactive l'écran de démarrage au démarrage du programme.
--minimized | Démarre minimisé. L'écran de démarrage n'est pas affiché.
--nodefault | Démarre sans rien afficher d'autre que l'écran de démarrage.
--invisible | Démarre en mode Invisible. Le logo de démarrage et la fenêtre de programme initiale ne s'affichent pas. Il est possible de contrôler LibreOffice, de contrôler et ouvrir des documents et des boîtes de dialogue via l'API. Avec ce paramètre, le seul moyen d'arrêter LibreOffice est d'utiliser le gestionnaire de tâches (Windows) ou la commande kill (systèmes de type UNIX). Il ne peut pas être utilisé en même temps que -quickstart. Vous trouverez des informations complémentaires dans LibreOffice Developer's Guide (Guide du développeur).
--headless | Démarre en mode "headless" permettant d'utiliser l'application sans interface utilisateur. Ce mode spécial peut être utilisé lorsque l'application est contrôlée par des clients externes via l'API.
--norestore | Désactive le redémarrage et la restauration de fichier après une panne système.
--safe-mode | Démarre en mode sans échec, c'est-à-dire avec un profil utilisateur neuf temporaire et vous aide à réparer une configuration endommagée.
--accept={UNO} | Notifie à LibreOffice qu'une chaîne "UNO Accept String" est utilisée lors de la création d'une chaîne "UNO Acceptor Threads". UNO-URL est une chaîne de caractères du type uno:type-connexion,paramètres;nom_protocole,paramètres;NomObjet. Vous trouverez des informations complémentaires dans LibreOffice Developer's Guide (Guide du développeur).
--unaccept={UNO-URL} | Ferme un accepteur qui a été créé avec --accept={UNO-URL}. Utilisez --unaccept=all pour fermer tous les accepteurs ouverts.
--language={lang} | Utilise la langue spécifiée, si la langue n'est pas encore sélectionnée pour l'UI. lang est l'étiquette de la langue selon son identification IETF.

### Arguments pour développeur

Paramètre | Signification
--- | ---
--terminate_after_init | Quitte une fois l'initialisation achevée (aucun document n'est chargé).

Les utilisateurs Unix et Linux peuvent invoquer LibreOffice avec ces paramètres supplémentaires à des fins de débogage.

Paramètre | Signification
--- | ---
--record | Un débogage amélioré.
--backtrace | Imprime la trace arrière (backtrace) de la pile entière.
--strace | strace est un utilitaire de diagnostic, de débogage et d'instruction de l'espace utilisateur pour Linux.
--valgrind | Détectez automatiquement de nombreux bogues de gestion de la mémoire et de thread, et profilez le programme en détail.

Les options de débogage --record , --backtrace , --strace et --valgrind ne peuvent pas être utilisées ensemble . Veuillez les utiliser une par une.

### Arguments pour la création d'un nouveau document.

Ces arguments créent un document vide de la catégorie spécifiée. Un seul à la fois peut être utilisé dans une ligne de commande. Si des noms de fichiers sont spécifiés après un argument, alors il essaye d'ouvrir ces fichiers dans le module spécifié.

Paramètre | Signification
--- | ---
--writer | Démarre avec un document Writer vide.
--calc | Démarre avec un document Calc vide.
--draw | Démarre avec un document Draw vide.
--impress | Démarre avec un document Impress vide.
--math | Démarre avec un document Math vide.
--global | Démarre avec un document maître Writer vide.
--web | Démarre avec un document HTML vide.

### Arguments pour l'ouverture de fichier

Les arguments définissent comment les noms de fichiers qui suivent sont traités. Un nouveau traitement commence après l'argument et se termine à l'argument suivant. Le traitement par défaut est d'ouvrir les documents pour édition, et de créer de nouveaux documents quand il s'agit de modèles de document.

Paramètre | Signification
--- | ---
-n | Traite les fichiers suivant comme des modèles pour la création de nouveaux documents.
-o | Ouvre les fichiers suivant pour édition, qu'ils soient des modèles ou non.
--pt {Printername} | Imprime les fichiers suivant sur l'imprimante {Nom_imprimante} puis quitte. L'écran de démarrage n'est pas affiché. Si le nom de fichier contient des espaces, vous devrez le mettre entre guillemets. Si utilisé plusieurs fois, seul le dernier {Nom_imprimante} est effectif pour tous les documents de toutes les exécutions --pt. Également, l'argument --printer-name de l'option --print-to-file interfère avec {Nom_imprimante}.
-p | Imprime les fichiers suivant sur l'imprimante par défaut, après quoi les fichiers sont fermés. L'écran de démarrage n'est pas affiché. Si le nom de fichier contient des espaces, vous devrez le mettre entre guillemets.
--view | Ouvre les fichiers suivant en mode visionneuse (lecture seule).
--show[=N] | Ouvre et démarre immédiatement le diaporama des documents de présentation suivants. Les fichiers sont fermés après la présentation. Dans l'exemple, N fait référence au numéro de diapositive et, lorsqu'il est fourni, ils démarrent à cette diapositive.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Si --convert-to est utilisé plus d'une fois, la dernière valeur de OutputFileExtension[:OutputFilterName[:OutputFilterParams]] est effective. Si --outdir est utilisé plus d'une fois, seule sa dernière valeur est efficace. En l'absence de --outdir, le répertoire de travail actuel est utilisé pour le résultat. Par exemple: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Voir la liste des filtres de document pour la conversion de fichiers. La liste des options de filtrage pour les fichiers Lotus, dBase et Diff. La liste des options de filtre pour les fichiers CSV. La liste des options de filtre pour les fichiers PDF.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Imprime en mode batch des fichiers dans un fichier. Si --outdir n'est pas spécifié, alors le répertoire de travail actuel est utilisé comme valeur de output_dir. Si --printer-name ou --outdir sont utilisés plusieurs fois, seule la dernière valeur de chacun est effective. De plus, {Nom_imprimante} de l'option --pt interfère avec --printer-name. Par exemple : --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Applique le filtre "txt: Text" aux documents texte suivants et transfère le contenu texte vers la console (implique --headless). Ne peut pas être utilisé avec --convert-to.
-env:VAR[=VALUE] | Définit une variable d'initialisation. Par exemple, pour définir un chemin de profil utilisateur différent de celui par défaut : soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Options ignorées

Paramètre | Signification
--- | ---
-psn | Ignoré (MacOS X seulement)
-Embedding | Ignoré (relatif à COM+ ; Windows seulement)
--nofirststartwizard | Ne fait rien, accepté seulement pour compatibilité ascendante.
--protector {arg1} {arg2} | Utilisé seulement dans les tests unitaires et devrait avoir deux arguments.

Aidez-nous !